version: "3.7"

services:
  api:
    image: "${API_IMAGE}"
    build:
      context: .
      target: "${API_BUILD_TARGET}"
    volumes:
      - ".:/usr/src/api"
      - "/usr/src/api/node_modules"
      - "./.secrets/${API_BUILD_TARGET}:/run/secrets:ro"
    ports:
      - "${API_PORT}:${API_PORT}"
    env_file:
      - ".env"

  docs:
    image: 'swaggerapi/swagger-ui:v3.25.0'
    ports:
      - '8080:8080'
    depends_on:
      - 'api'
    environment:
      API_URL: "http://localhost:3000/api-docs"

volumes:
  secrets:
    driver: local
